Subject: Re: [PATCH net-next v4] net: qualcomm: rmnet: Add side band flow control support

From: Jakub Kicinski <[email-masked]>
Date: Tue, 10 Oct 2023 07:56:55 -0700

On Mon, 9 Oct 2023 22:00:40 -0600 Subash Abhinov Kasiviswanathan (KS)
wrote:
> > I don't understand why you need driver specific commands to do this.
> > It should be easily achievable using existing TC qdisc infra.
> > What's the gap?  
> 
> tc doesn't allow userspace to manipulate the flow state (allow / 
> disallow traffic) on a specific queue. As I understand, the traffic 
> dequeued / queued / dropped on a specific queue of existing qdiscs are 
> controlled by the implementation of the qdisc itself.

I'm not sure what you mean. Qdiscs can form hierarchies.
You put mq first and then whatever child qdisc you want for individual
queues.